Skip to content

Back up a volume

POST/volumes/{name}/backups

Takes a consistent point-in-time backup of the volume, restorable to a new volume. A full whole-image copy by default; with ?parent=<id> an incremental of only the blocks changed since that backup. 409 when the volume is attached to a running sandbox (sleep it first).

path parameters
object
namestringrequired

Volume name ([a-z0-9][a-z0-9-]*).

query parameters
object
parentstring

Take an incremental backup against this backup id; empty takes a full whole-image backup.

Responses
201 CreatedCreated
Backup
consistencystring
created_atstringdate-time
encryptedboolean
host_idstring
idstring
kindstring
parent_idstring
size_bytesintegerint64
source_volumestring
404 Not foundNot Found
ErrorResponse
codestring
errorstring
409 ConflictConflict
ErrorResponse
codestring
errorstring
501 Not Implemented
ErrorResponse
codestring
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
POST/volumes/{name}/backups
cURL
curl '/volumes/{name}/backups?parent=' \
  -X POST
POST/volumes/{name}/backups
Request
Path
Query
Authorization
curl '/volumes/{name}/backups?parent=' \
  -X POST
Response
Send a request to see the response.
Response
201 Created
{
  "consistency": "string",
  "created_at": "2026-01-02T15:04:05Z",
  "encrypted": false,
  "host_id": "string",
  "id": "string",
  "kind": "string",
  "parent_id": "string",
  "size_bytes": 0,
  "source_volume": "string"
}
Was this page helpful?